# HandshakeException class

An exception that happens in the handshake phase of establishing a secure network connection.

Inheritance
  - Object
  - TlsException
  - HandshakeException

## Constructors

HandshakeException([String message = "", OSError osError ])
  const

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
message → String
  final, inherited
osError → OSError
  final, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
type → String
  final, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited